Subject: Re: bug#37260: 26.3; Emacs 26.3 NEWS

From: Eli Zaretskii <[email-masked]>
Date: Sun, 01 Sep 2019 21:35:29 +0300

> Date: Sun, 1 Sep 2019 11:25:24 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> 
> NEWS for Emacs 26.3 looks quite empty.  I don't think I've ever
> seen this kind of NEWS for a release before, but perhaps I just
> haven't noticed it.

It's a bugfix release, so ideally there should be no NEWS-worthy
changes at all.

> There are 8 empty sections (just titles, no content), and only one
> non-empty section, which has only this:
> 
>  * Changes in Emacs 26.3
> 
>  ** New option 'help-enable-completion-auto-load'.
>  This allows disabling the new feature introduced in Emacs 26.1 which
>  loads files during completion of 'C-h f' and 'C-h v' according to
>  'definition-prefixes'.
> 
>  ** Emacs now supports the new Japanese Era name.
>  The newly assigned codepoint U+32FF was added to the Unicode Character
>  Database compiled into Emacs.
> 
> 1. Is this correct, or is something missing?

Nothing's missing, AFAIK.

> 2. Is it normal that we have empty sections?

It's an artifact of converting an RC (where empty sections are
acceptable) to a release (where they shouldn't be).